classification
Title: warnings should use a ContextVar to manage filters/registry
Type: behavior Stage: resolved
Components: Library (Lib) Versions:
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: Eric Wieser, graingert, gvanrossum
Priority: normal Keywords:

Created on 2019-07-16 13:24 by graingert, last changed 2020-09-16 19:41 by gvanrossum. This issue is now closed.

Messages (4)
msg348015 - (view) Author: Thomas Grainger (graingert) * Date: 2019-07-16 13:24
this would allow ``warnings.catch_warnings`` to be threadsafe
msg348016 - (view) Author: Thomas Grainger (graingert) * Date: 2019-07-16 13:26
note that PEP 550 previously mentions catch_warnings as something that would benefit from some sort of Execution Context management


> Context managers like decimal contexts, numpy.errstate, and warnings.catch_warnings.
msg357809 - (view) Author: Eric Wieser (Eric Wieser) Date: 2019-12-04 16:05
A relevant old issue is https://bugs.python.org/issue6647
msg377016 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-09-16 19:37
Closing for lack of activity.
History
Date User Action Args
2020-09-16 19:41:24gvanrossumsetstatus: open -> closed
stage: resolved
2020-09-16 19:37:50gvanrossumsetnosy: + gvanrossum
messages: + msg377016
2019-12-04 16:05:15Eric Wiesersetnosy: + Eric Wieser
messages: + msg357809

components: + Library (Lib)
type: behavior
2019-07-16 13:26:35graingertsetmessages: + msg348016
2019-07-16 13:24:57graingertcreate